### Method

# Ide DeviceInfo get_host_triplet

#### Declaration

    IdeTriplet*
    ide_device_info_get_host_triplet (
      IdeDeviceInfo* self
    )

#### Description

Get the `IdeTriplet` object describing the configuration name of the Device (its architecture…)

Available since: | 3.32

Gets property | `Ide.DeviceInfo:host-triplet`

#### Return value

Returns: | `IdeTriplet`
| An `IdeTriplet`.
| The data is owned by the instance.
| The return value can be `NULL`.